Salesforce1 No Longer Supported on iOS 7 Devices

Version 7.3 of the Salesforce1 downloadable app for iOS installs only on devices running iOS 8 or later. The release of version 7.3 marks the formal end of support for Salesforce1 on iOS 7 devices and for older versions of Salesforce1 for iOS. To ensure a smooth transition for your organization, we recommend that your users’ devices are updated to iOS 8 before attempting to install version 7.3.

iOS 8 can be installed for free on all of the iOS devices that are supported for Salesforce1 use. For help upgrading devices, see Update the iOS software on your iPhone, iPad, and iPod touch on the Apple Support site. For the full list of iOS devices that Salesforce1 supports, see Requirements for the Salesforce1 Mobile App.

While users can continue to use previously installed, older versions of Salesforce1 on devices running iOS 7, Salesforce will no longer provide support for any issues encountered.

With Summer ’15, the Salesforce1 mobile browser app is supported on devices running iOS 8 or later. Users aren’t prevented from accessing the mobile browser app on iOS 7 devices but may encounter performance or other issues that won’t be addressed by Salesforce.